/* lato-regular - latin */
@font-face {
  font-family: 'Lato';
  font-style: normal;
  font-weight: 400;
  font-display: swap;
  src: asset_url('lato-v16-latin-regular.eot'); /* IE9 Compat Modes */
  src: local('Lato Regular'), local('Lato-Regular'),
       asset_url('lato-v16-latin-regular.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
       asset_url('lato-v16-latin-regular.woff2') format('woff2'), /* Super Modern Browsers */
       asset_url('lato-v16-latin-regular.woff') format('woff'), /* Modern Browsers */
       asset_url('lato-v16-latin-regular.ttf') format('truetype'), /* Safari, Android, iOS */
       asset_url('lato-v16-latin-regular.svg#Lato') format('svg'); /* Legacy iOS */
}

* {
	box-sizing: border-box; }
html, body {
	width: 100%;
	height: 100%;
	margin: 0;
	padding: 0; }
html {
	display: table; }
body {
	display: table-cell;
	vertical-align: middle;
	font-family: 'Lato', sans-serif;
	background-color: #202020; }
.container {
	width: 100%;
	max-width: 1040px;
	margin: 0 auto;
	padding: 0 20px 20px; }
img {
	width: 100%; }

.header {
	margin: 2rem 0 2rem 0;
	text-align: center;
	color: white;

	h1 {
		font-size: 64pt;
		margin: 0;
	}
	.subtitle {
		font-size: 20pt;
		margin: .5rem 0 0 0;
	}

	a, a:visited, a:hover, a:active {
		color: white;
		text-decoration: underline; }
	a:hover, a:active {
		color: #E0E0E0; }
}

.project-section {
	display: flex;
	flex-wrap: wrap;
	gap: 1.5em;

	> .projects-column {
		display: flex;
		flex-direction: column;
		flex: 1 0 18em;
		gap: 1.5em;

		> h2,
		> ul > li .project-box {
			color: #202020;
			background-color: white; }
		> ul > li .project-box-reversed {
			color: white;
			background-color: #202020; }

		> h2 {
			display: block;
			margin: 0;
			padding: 1em .5em;
			text-align: center;
			font-size: 1.2em; }

		> ul {
			display: flex;
			flex-wrap: wrap;
			list-style-type: none;
			margin: 0;
			padding: 0;
			gap: 1.5em; }

		> ul > li {
			flex: 1 0 18em;
			min-height: 18em;
			align-self: flex-top;

			> a,
			> a:visited,
			> a:hover,
			> a:active {
				display: block;
				position: relative;
				height: 100%;
				color: white;

				background-size: cover;
				background-position: center;
				background-color: #c0c0c0; }
			> a > .project-bottom {
				position: absolute;
				bottom: 0;
				width: 100%; }

			.project-box,
			.project-box-reversed {
				width: 95%;
				margin: 0 auto 10px;
				padding: 10px;
				min-height: 7em;

				h3, p {
					margin: 0; }
				h3 {
					margin-bottom: .4rem; }
			}
		}
	}

	.back-kaquel {
		background-image: asset_url("thumbs/kaquel.png @optim magick:resize=x400"); }
	.back-teal {
		background-image: asset_url("thumbs/teal.png @optim magick:resize=x400"); }
	.back-wahn {
		background-image: asset_url("thumbs/wahn.png @optim magick:resize=x400"); }
	.back-thlk {
		background-image: asset_url("thumbs/thlk.png @optim magick:resize=x400"); }
	.back-textout {
		background-image: asset_url("thumbs/textout.png @optim magick:resize=x400"); }
	.back-thcolor {
		background-image: asset_url("thumbs/thcolor.png @optim magick:resize=x400"); }
	.back-cahute {
		background-image: asset_url("thumbs/cahute.png @optim magick:resize=x400"); }
	.back-libtio {
		background-image: asset_url("thumbs/libtio.png @optim magick:resize=x400"); }
	.back-pyfingerd {
		background-image: asset_url("thumbs/pyfingerd.png @optim magick:resize=x400"); }
	.back-usimarit {
		background-image: asset_url("thumbs/usimarit.png @optim magick:resize=x400"); }
	.back-sgdfi {
		background-image: asset_url("thumbs/sgdfi.png @optim magick:resize=x400"); }
	.back-thox {
		background-image: asset_url("thumbs/thox.png @optim magick:resize=x400"); }
	.back-pyutmpx {
		background-image: asset_url("thumbs/pyutmpx.png @optim magick:resize=x400"); }
}

@media (max-width: 700px) {
	.header {
		h1 { font-size: 32pt; }
		.subtitle { font-size: 18pt; }
	}
}
